libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::disable_noticer Class Reference

Temporarily disable the notice processor. More...

`#include <connection_base.hxx>`

Inheritance diagram for pqxx::disable_noticer:

## Public Member Functions

| disable_noticer (connection_base &c)

## Additional Inherited Members

Private Member Functions inherited from pqxx::scoped_noticer
| scoped_noticer (connection_base &c, std::auto_ptr< noticer > t) throw ()
| Start period where different noticer applies to connection.
| ~scoped_noticer ()
| scoped_noticer (connection_base &c, noticer *t) throw ()
| Take ownership of given noticer, and start using it.

## Detailed Description

Temporarily disable the notice processor.

## Constructor & Destructor Documentation

pqxx::disable_noticer::disable_noticer | ( | connection_base & | c | ) |

explicit

The documentation for this class was generated from the following file:

- connection_base.hxx